module.exports = {
  create: {
    requestBody: [
      "!client",
      "!number",
      "jf",
      "yf",
      "period",
      "settle_up",
      "settle_up_period",
      "status",
      "!owner",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!client",
      "!number",
      "jf",
      "yf",
      "period",
      "settle_up",
      "settle_up_period",
      "status",
      "!owner",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        client: "client",
        number: "%number%",
        jf: "%jf%",
        owner: "owner",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
